%basicShannonEntropyScript

% ---------- Input Directories of relevant folders/files ------------ %
% > "imgFiles": Directory of folder containing images extracted from video
%             in a standard image file type e.g. ".tiff" or ".jpg"
% > Example input: 'C:\Documents\Experiment_video_image_stack_folder';
images = '';

% > "frameTimesTable": Directory of excel file (.xlsx) containg times  
%                      corresponding to relevant video frames. 
% > File layout > Column A: video name or file name. Not important what
%                              the name is.
%               > Column B: Frame time relative to video start.
%               > Column C: Frame number according to order (1 = 1st frame).
%               > Row 1: Reserved for column labels/names.
% > Example input: 'C:\Documents\Experiment_table_of_frame_times_excel_file.xlsx';
FrameRateTable = '';

% > Binning is used both to reduce memory demand and reduce effects of
%   pixel noise. 
% > "bin_length": E.g. if bin_length = 2, then 2x2 (pixel) binning is used
% > Note: bin_length should be kept below the length of the image feature
%         of interest (e.g. the bacteria length).
bin_length = 4;

% > ENT_frameGroupingTime > paramater for the "shannonEntropy" function.
%                         > number | length of time in secounds, across 
%                         > which the frames will form 1 entropy image. 
ENT_frameGroupingTime = 2; % 10; %

% > endFrame > paramater for the "shannonEntropy" function.
%            > int | frame number to process up untill. 
%            > If 0 given then will default to processing all frames.
endFrame = 0;

% --- Shannon entropy image processor --- %

%%
% --------------------------- Binning --------------------------- %

binStruct = imgBinStruct(images,bin_length);
% binStruct = images;


%%

[entImgs,entImgInfo] = shannonEntropy(binStruct,FrameRateTable,ENT_frameGroupingTime,endFrame);

%% ====================== Entropy Processing END ======================= %%
